> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create account

> Creates a new child account.



## OpenAPI

````yaml https://api.notifense.com/openapi/v1.json post /v1/accounts/{accountId}
openapi: 3.1.1
info:
  title: Notifense
  version: v1
servers:
  - url: https://api.notifense.com
security:
  - oauth2: []
tags:
  - name: accounts
  - name: assets
  - name: alertRules
  - name: events
  - name: telemetry
  - name: geofences
  - name: auth
paths:
  /v1/accounts/{accountId}:
    post:
      tags:
        - accounts
      summary: Create account
      description: Creates a new child account.
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccountRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateAccountResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
components:
  schemas:
    CreateAccountRequest:
      required:
        - name
        - friendlyName
        - billingAddress
        - billingEmailAddress
        - technicalEmailAddress
        - culture
        - isEventGenerationEnabled
      type: object
      properties:
        name:
          type: string
        friendlyName:
          type: string
        billingAddress:
          $ref: '#/components/schemas/Address'
        billingEmailAddress:
          type: string
        technicalEmailAddress:
          type: string
        culture:
          $ref: '#/components/schemas/CultureInfo'
        isEventGenerationEnabled:
          type: boolean
        callbackUri:
          type:
            - 'null'
            - string
          format: uri
        taxId:
          type:
            - 'null'
            - string
    CreateAccountResponse:
      required:
        - id
        - clientSecret
      type: object
      properties:
        id:
          type: string
          format: uuid
        clientSecret:
          type: string
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        message:
          type: string
    Address:
      required:
        - country
        - region
        - place
        - postalCode
        - subdivision
        - streetName
        - streetNumber
      type: object
      properties:
        country:
          type: string
        region:
          type:
            - 'null'
            - string
        place:
          type:
            - 'null'
            - string
        postalCode:
          type:
            - 'null'
            - string
        subdivision:
          type:
            - 'null'
            - string
        streetName:
          type:
            - 'null'
            - string
        streetNumber:
          type:
            - 'null'
            - string
    CultureInfo: {}
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.notifense.com/v1/auth/token
          scopes: {}

````